-------------------------------
-- Shapeshift string Mapper --
-------------------------------
local AddOnName, nsVars = ...
local ss = nsVars.SS

local mtShapeshiftToString = {
  parse = function(id)
    local forms = {
      [0]  = "default",
      [1]  = "cat",
      [2]  = "tree of life",
      [3]  = "travel",
      [4]  = "aquatic",
      [5]  = "bear",
      [27] = "flight",
      [31] = "moonkin",
    };

    return forms[id] or "default"
  end,
};

ss["ShapeshiftToString"] = setmetatable({}, { __index = mtShapeshiftToString });
